<?php

//Clase: Orden de Servicio
class clase
{
	var $nom_tabla = 'pvcatpla';
	var  $id_catpla = '0';
	var  $cve_catpla = '0';
	var  $des_catpla = '0';
	//Funcion de Revision
	function revisar(){
		$sql = "SELECT * FROM $this->nom_tabla WHERE id_catpla = '$this->id_catpla'";
	   	@$result = mysqli_query($GLOBALS['con'] ,$sql);
	   	@$num_salidas=mysqli_num_rows($result); 
		if($num_salidas>=1){
			return "ok";	
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . " : " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}
//Funcion de Agregar
	function agregar(){
		$sql = "INSERT INTO $this->nom_tabla (cve_catpla, des_catpla)values('$this->cve_catpla', '$this->des_catpla')";
	   	@$result = mysqli_query($GLOBALS['con'] ,$sql);
		if ($result){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . " : " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}
//Funcion de Lista Completa
	function lista_completa(){
		$sql= "SELECT * FROM $this->nom_tabla";
		$lista = mysqli_query($GLOBALS['con'] ,$sql);
		if ($lista){
			return $lista;
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}
//Funcion de Lista con Busqueda
	function lista_busqueda($id_catpla){
		$sql= "SELECT * FROM $this->nom_tabla WHERE id_catpla = '$id_catpla'";
		$lista = mysqli_query($GLOBALS['con'] ,$sql);
		if ($lista){
			return $lista;
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";   
		}
	}
//Funcion de Modificar
	function modificar($id_catpla){
		$sql = "UPDATE $this->nom_tabla SET  cve_catpla = '$this->cve_catpla', des_catpla = '$this->des_catpla' where id_catpla = '$id_catpla'";
		$result= mysqli_query($GLOBALS['con'] ,$sql);
		if($result){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()"; 
		}
	}
//Funcion de eliminar
	function eliminar($id_catpla){   
		$sql = "DELETE FROM $this->nom_tabla WHERE id_catpla = '$id_catpla'";
		$resultado = mysqli_query($GLOBALS['con'] ,$sql);
		if($resultado){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()"; 
		}           
	}   
}       
?>